## nom.tam.fits
Class Column

    java.lang.Object
      nom.tam.fits.Column

public class Column
extends Object

Keep header and data information for a column from a FITS table.

Constructor Summary
`Column()` Create an empty column

Method Summary
`void` `addKey(String key)` Add a key to the keys associated with this column.
`Object[]` `getData()` Return the data.
`String[]` `getKeys(int colNumber)` Get the keywords associated with the column.
`void` `setData(Object[] data)` Initialize the data segment.
`void` `setKeys(String[] keys)` Set the FITS keywords associated with this column.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Column

    public Column()

  Create an empty column

Method Detail

### setData

    public void setData(Object[] data)

  Initialize the data segment. Each element of data should be an N-dimensional primitive array.

  Parameters:
    `data` - The column data.

### getData

    public Object[] getData()

  Return the data.

### setKeys

    public void setKeys(String[] keys)

  Set the FITS keywords associated with this column. These may have just the base of the keyword (e.g, "TFORM"), or have a column number appended. The correct column number will be put in by getKeys when the header information is retrieved.

### getKeys

    public String[] getKeys(int colNumber)

  Get the keywords associated with the column.

  Parameters:
    `colNumber` - the FITS column number that will be associated with this column.

### addKey

    public void addKey(String key)

  Add a key to the keys associated with this column.

  Parameters:
    `key` - The new key.